package com.zcloud.modules.feedback.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.feedback.entity.BusFeedbackEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author wangpeng
 * @Desc 意见反馈表(BusFeedback)表服务接口
 * @Date 2024-03-30 15:19:58
 */
public interface BusFeedbackService extends IService<BusFeedbackEntity> {

    BusFeedbackEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusFeedbackEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String feedbackId,String userId);

    BusFeedbackEntity replyInfo(String feedbackId);
}
